# azure.mgmt.redis.models module

class `azure.mgmt.redis.models.``Sku`(name, family, capacity)

  Bases: `msrest.serialization.Model`

  Sku parameters supplied to the create redis operation.

  Parameters:

  - name (str or `SkuName`) – What type of redis cache to deploy. Valid values: (Basic, Standard, Premium). Possible values include: ‘Basic’, ‘Standard’, ‘Premium’
  - family (str or `SkuFamily`) – Which family to use. Valid values: (C, P). Possible values include: ‘C’, ‘P’
  - capacity (int) – What size of redis cache to deploy. Valid values: for C family (0, 1, 2, 3, 4, 5, 6), for P family (1, 2, 3, 4)

class `azure.mgmt.redis.models.``RedisProperties`(sku, redis_version=None, redis_configuration=None, enable_non_ssl_port=None, tenant_settings=None, shard_count=None, subnet_id=None, static_ip=None)

  Bases: `msrest.serialization.Model`

  Properties supplied to CreateOrUpdate redis operation.

  Parameters:

  - redis_version (str) – RedisVersion parameter has been deprecated. As such, it is no longer necessary to provide this parameter and any value specified is ignored.
  - sku (`Sku`) – What sku of redis cache to deploy.
  - redis_configuration (dict) – All Redis Settings. Few possible keys: rdb-backup-enabled,rdb-storage-connection-string,rdb-backup-frequency,maxmemory-delta,maxmemory-policy,notify-keyspace-events,maxmemory-samples,slowlog-log-slower-than,slowlog-max-len,list-max-ziplist-entries,list-max-ziplist-value,hash-max-ziplist-entries,hash-max-ziplist-value,set-max-intset-entries,zset-max-ziplist-entries,zset-max-ziplist-value etc.
  - enable_non_ssl_port (bool) – If the value is true, then the non-ssl redis server port (6379) will be enabled.
  - tenant_settings (dict) – tenantSettings
  - shard_count (int) – The number of shards to be created on a Premium Cluster Cache.
  - subnet_id (str) – The full resource ID of a subnet in a virtual network to deploy the redis cache in. Example format: /subscriptions/{subid}/resourceGroups/{resourceGroupName}/Microsoft.{Network|ClassicNetwork}/VirtualNetworks/vnet1/subnets/subnet1
  - static_ip (str) – Required when deploying a redis cache inside an existing Azure Virtual Network.

class `azure.mgmt.redis.models.``Resource`(location, tags=None)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags

class `azure.mgmt.redis.models.``RedisCreateOrUpdateParameters`(location, sku, tags=None, redis_version=None, redis_configuration=None, enable_non_ssl_port=None, tenant_settings=None, shard_count=None, subnet_id=None, static_ip=None)

  Bases: `azure.mgmt.redis.models.resource.Resource`

  Parameters supplied to the CreateOrUpdate Redis operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags
  - redis_version (str) – RedisVersion parameter has been deprecated. As such, it is no longer necessary to provide this parameter and any value specified is ignored.
  - sku (`Sku`) – What sku of redis cache to deploy.
  - redis_configuration (dict) – All Redis Settings. Few possible keys: rdb-backup-enabled,rdb-storage-connection-string,rdb-backup-frequency,maxmemory-delta,maxmemory-policy,notify-keyspace-events,maxmemory-samples,slowlog-log-slower-than,slowlog-max-len,list-max-ziplist-entries,list-max-ziplist-value,hash-max-ziplist-entries,hash-max-ziplist-value,set-max-intset-entries,zset-max-ziplist-entries,zset-max-ziplist-value etc.
  - enable_non_ssl_port (bool) – If the value is true, then the non-ssl redis server port (6379) will be enabled.
  - tenant_settings (dict) – tenantSettings
  - shard_count (int) – The number of shards to be created on a Premium Cluster Cache.
  - subnet_id (str) – The full resource ID of a subnet in a virtual network to deploy the redis cache in. Example format: /subscriptions/{subid}/resourceGroups/{resourceGroupName}/Microsoft.{Network|ClassicNetwork}/VirtualNetworks/vnet1/subnets/subnet1
  - static_ip (str) – Required when deploying a redis cache inside an existing Azure Virtual Network.

class `azure.mgmt.redis.models.``RedisAccessKeys`(primary_key=None, secondary_key=None)

  Bases: `msrest.serialization.Model`

  Redis cache access keys.

  Parameters:

  - primary_key (str) – The current primary key that clients can use to authenticate with redis cache.
  - secondary_key (str) – The current secondary key that clients can use to authenticate with redis cache.

class `azure.mgmt.redis.models.``RedisResourceWithAccessKey`(location, sku, tags=None, redis_version=None, redis_configuration=None, enable_non_ssl_port=None, tenant_settings=None, shard_count=None, subnet_id=None, static_ip=None, provisioning_state=None, host_name=None, port=None, ssl_port=None, access_keys=None)

  Bases: `azure.mgmt.redis.models.resource.Resource`

  A redis item in CreateOrUpdate Operation response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags
  - redis_version (str) – RedisVersion parameter has been deprecated. As such, it is no longer necessary to provide this parameter and any value specified is ignored.
  - sku (`Sku`) – What sku of redis cache to deploy.
  - redis_configuration (dict) – All Redis Settings. Few possible keys: rdb-backup-enabled,rdb-storage-connection-string,rdb-backup-frequency,maxmemory-delta,maxmemory-policy,notify-keyspace-events,maxmemory-samples,slowlog-log-slower-than,slowlog-max-len,list-max-ziplist-entries,list-max-ziplist-value,hash-max-ziplist-entries,hash-max-ziplist-value,set-max-intset-entries,zset-max-ziplist-entries,zset-max-ziplist-value etc.
  - enable_non_ssl_port (bool) – If the value is true, then the non-ssl redis server port (6379) will be enabled.
  - tenant_settings (dict) – tenantSettings
  - shard_count (int) – The number of shards to be created on a Premium Cluster Cache.
  - subnet_id (str) – The full resource ID of a subnet in a virtual network to deploy the redis cache in. Example format: /subscriptions/{subid}/resourceGroups/{resourceGroupName}/Microsoft.{Network|ClassicNetwork}/VirtualNetworks/vnet1/subnets/subnet1
  - static_ip (str) – Required when deploying a redis cache inside an existing Azure Virtual Network.
  - provisioning_state (str) – Redis instance provisioning status
  - host_name (str) – Redis host name
  - port (int) – Redis non-ssl port
  - ssl_port (int) – Redis ssl port
  - access_keys (`RedisAccessKeys`) – Redis cache access keys.

class `azure.mgmt.redis.models.``RedisResource`(location, sku, tags=None, redis_version=None, redis_configuration=None, enable_non_ssl_port=None, tenant_settings=None, shard_count=None, subnet_id=None, static_ip=None, provisioning_state=None, host_name=None, port=None, ssl_port=None)

  Bases: `azure.mgmt.redis.models.resource.Resource`

  A single redis item in List or Get Operation.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags
  - redis_version (str) – RedisVersion parameter has been deprecated. As such, it is no longer necessary to provide this parameter and any value specified is ignored.
  - sku (`Sku`) – What sku of redis cache to deploy.
  - redis_configuration (dict) – All Redis Settings. Few possible keys: rdb-backup-enabled,rdb-storage-connection-string,rdb-backup-frequency,maxmemory-delta,maxmemory-policy,notify-keyspace-events,maxmemory-samples,slowlog-log-slower-than,slowlog-max-len,list-max-ziplist-entries,list-max-ziplist-value,hash-max-ziplist-entries,hash-max-ziplist-value,set-max-intset-entries,zset-max-ziplist-entries,zset-max-ziplist-value etc.
  - enable_non_ssl_port (bool) – If the value is true, then the non-ssl redis server port (6379) will be enabled.
  - tenant_settings (dict) – tenantSettings
  - shard_count (int) – The number of shards to be created on a Premium Cluster Cache.
  - subnet_id (str) – The full resource ID of a subnet in a virtual network to deploy the redis cache in. Example format: /subscriptions/{subid}/resourceGroups/{resourceGroupName}/Microsoft.{Network|ClassicNetwork}/VirtualNetworks/vnet1/subnets/subnet1
  - static_ip (str) – Required when deploying a redis cache inside an existing Azure Virtual Network.
  - provisioning_state (str) – Redis instance provisioning status
  - host_name (str) – Redis host name
  - port (int) – Redis non-ssl port
  - ssl_port (int) – Redis ssl port

class `azure.mgmt.redis.models.``RedisListKeysResult`(primary_key=None, secondary_key=None)

  Bases: `msrest.serialization.Model`

  The response of redis list keys operation.

  Parameters:

  - primary_key (str) – The current primary key that clients can use to authenticate with redis cache.
  - secondary_key (str) – The current secondary key that clients can use to authenticate with redis cache.

class `azure.mgmt.redis.models.``RedisRegenerateKeyParameters`(key_type)

  Bases: `msrest.serialization.Model`

  Specifies which redis access keys to reset.

  Parameters: | key_type (str or `RedisKeyType`) – Which redis access key to reset. Possible values include: ‘Primary’, ‘Secondary’

class `azure.mgmt.redis.models.``RedisRebootParameters`(reboot_type, shard_id=None)

  Bases: `msrest.serialization.Model`

  Specifies which redis node(s) to reboot.

  Parameters:

  - reboot_type (str or `RebootType`) – Which redis node(s) to reboot. Depending on this value data loss is possible. Possible values include: ‘PrimaryNode’, ‘SecondaryNode’, ‘AllNodes’
  - shard_id (int) – In case of cluster cache, this specifies shard id which should be rebooted.

class `azure.mgmt.redis.models.``ExportRDBParameters`(prefix, container, format=None)

  Bases: `msrest.serialization.Model`

  Parameters for redis export operation.

  Parameters:

  - format (str) – File format.
  - prefix (str) – Prifix to use for exported files.
  - container (str) – Container name to export to.

class `azure.mgmt.redis.models.``ImportRDBParameters`(files, format=None)

  Bases: `msrest.serialization.Model`

  Parameters for redis import operation.

  Parameters:

  - format (str) – File format.
  - files (list of str) – files to import

class `azure.mgmt.redis.models.``ScheduleEntry`(day_of_week, start_hour_utc, maintenance_window=None)

  Bases: `msrest.serialization.Model`

  ScheduleEntry.

  Parameters:

  - day_of_week (str or `DayOfWeek`) – Day of week when cache can be patched. Possible values include: ‘Monday’, ‘Tuesday’, ‘Wednesday’, ‘Thursday’, ‘Friday’, ‘Saturday’, ‘Sunday’
  - start_hour_utc (int) – Start hour after which cache patching can start.
  - maintenance_window (timedelta) – ISO8601 timespan specifying how much time cache patching can take.

class `azure.mgmt.redis.models.``RedisPatchSchedulesRequest`(schedule_entries)

  Bases: `msrest.serialization.Model`

  Parameters to set patch schedules for redis cache.

  Parameters: | schedule_entries (list of `ScheduleEntry`) – List of patch schedules for redis cache.

class `azure.mgmt.redis.models.``RedisPatchSchedulesResponse`(schedule_entries, location=None)

  Bases: `msrest.serialization.Model`

  Response to put/get patch schedules for redis cache.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - schedule_entries (list of `ScheduleEntry`) – List of patch schedules for redis cache.

class `azure.mgmt.redis.models.``RedisResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of RedisResource object

class `azure.mgmt.redis.models.``SkuName`

  Bases: `enum.Enum`

  `basic` = 'Basic'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.redis.models.``SkuFamily`

  Bases: `enum.Enum`

  `c` = 'C'
  `p` = 'P'

class `azure.mgmt.redis.models.``RedisKeyType`

  Bases: `enum.Enum`

  `primary` = 'Primary'
  `secondary` = 'Secondary'

class `azure.mgmt.redis.models.``RebootType`

  Bases: `enum.Enum`

  `all_nodes` = 'AllNodes'
  `primary_node` = 'PrimaryNode'
  `secondary_node` = 'SecondaryNode'

class `azure.mgmt.redis.models.``DayOfWeek`

  Bases: `enum.Enum`

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'